cURL
curl --request GET \
--url https://sandbox-api.superpagamentos.com/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.superpagamentos.com/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.superpagamentos.com/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "8a2edf48-704b-4c23-8278-a902e88a5f93",
"firstName": "João",
"lastName": "Silva",
"email": "email@email.com",
"phoneNumber": "00000000000",
"document": "00000000000",
"birthdate": "1994-10-04",
"address": {
"statusId": "APPROVED",
"zipcode": 87654321,
"street": "Rua B",
"streetNumber": 200,
"complement": "Casa 10",
"reference": "Ao lado da padaria",
"neighborhood": "Jardins",
"city": "São Paulo",
"state": "SP"
},
"statusId": "APPROVED",
"createdAt": "2025-06-01T16:14:10.535Z"
}
],
"meta": {
"total": 11,
"page": 1,
"limit": 10,
"totalPages": 2
},
"message": "Listagem de clientes"
}{
"data": {
"message": "Erro ao listar clientes",
"returnCode": -7404
}
}Clientes
Listar clientes
Lista todos os clientes cadastrados. A resposta inclui informações detalhadas de cada cliente, como dados pessoais, contato e endereço. Os resultados são paginados para melhor performance.
GET
/
customers
cURL
Authorizations
Token JWT gerado na rota de autenticação (/auth). Deve ser enviado no formato: Bearer
Query Parameters
Número da página que deseja visualizar
Required range:
x >= 1Quantidade de itens por página
Required range:
1 <= x <= 100⌘I